defmodule NullaWeb.NodeinfoController do
  use NullaWeb, :controller
  alias Nulla.Repo
  alias Nulla.ActivityPub
  alias Nulla.Models.User
  alias Nulla.Models.InstanceSettings

  def index(conn, _params) do
    instance_settings = InstanceSettings.get_instance_settings!()
    domain = instance_settings.domain

    json(conn, ActivityPub.nodeinfo(domain))
  end

  def show(conn, _params) do
    version = Application.spec(:nulla, :vsn) |> to_string()

    users = %{
      total: 0,
      month: 0,
      halfyear: 0
    }

    instance_settings = InstanceSettings.get_instance_settings!()

    json(conn, ActivityPub.nodeinfo(version, users, instance_settings))
  end
end
